| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iVisibilityObjectIterator Struct Reference
[Visibility]

Iterator to iterate over some visibility objects. More...

`#include <iengine/viscull.h>`

Inheritance diagram for iVisibilityObjectIterator:

[legend]
List of all members.

## Public Member Functions
virtual bool | HasNext () const =0
| Are there more elements?
virtual iVisibilityObject * | Next ()=0
| Get next element.
virtual void | Reset ()=0
| Reset the iterator to the beginning.

## Detailed Description

Iterator to iterate over some visibility objects.

Definition at line 49 of file viscull.h.

## Member Function Documentation

virtual bool iVisibilityObjectIterator::HasNext | ( |  | ) | const`[pure virtual]`

Are there more elements?

virtual iVisibilityObject* iVisibilityObjectIterator::Next | ( |  | ) | `[pure virtual]`

Get next element.

virtual void iVisibilityObjectIterator::Reset | ( |  | ) | `[pure virtual]`

Reset the iterator to the beginning.

The documentation for this struct was generated from the following file:

- iengine/viscull.h